#
# spec file for package openssl (Version 0.9.7b)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  bc ed
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake bc binutils cracklib ed gcc gdbm gettext libtool perl rpm

Name:         openssl
%define ssletcdir %{_sysconfdir}/ssl
%define num_version %(echo "%{version}" | sed -e "s+[a-zA-Z]++g; s+_.*++g")
License:      BSD, Other License(s), see package
Group:        Productivity/Networking/Security
Provides:     ssl
Conflicts:    ssleay
Obsoletes:    ssleay
Autoreqprov:  on
PreReq:       /bin/cat /bin/mkdir
Version:      0.9.7b
Release:      135
Summary:      Secure Sockets and Transport Layer Security
URL:          http://www.openssl.org/
Source:       http://www.%{name}.org/source/%{name}-%{version}.tar.bz2
Source10:     README.SuSE
Source21:     Equifax-root1.pem
Patch0:       openssl-0.9.6d.dif
Patch1:       openssl-0.9.6d-flags-priority.dif
Patch7:       openssl-0.9.6c-ppc64.diff
Patch8:       openssl-hppa-config.diff
Patch9:       openssl-0.9.6g-alpha.diff
# http://www-124.ibm.com/developerworks/projects/libica/
Patch10:      openssl-0.9.7b-ICA_engine-070803.patch.bz2
Patch15:      openssl-0.9.7b-asn1.dif
Patch16:      openssl-0.9.7-CAN-2004-0112.dif
Patch17:      openssl-CAN-2004-0079.dif
Patch103:     openssl-0.9.7-SSLv2-rollback-CAN-2005-2969.dif
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
The OpenSSL Project is a collaborative effort to develop a robust,
commercial-grade, full-featured, and Open Source toolkit implementing
the Secure Sockets Layer (SSL v2/v3) and Transport Layer Security (TLS
v1) protocols with full-strength cryptography. The project is managed
by a worldwide community of volunteers that use the Internet to
communicate, plan, and develop the OpenSSL toolkit and its related
documentation.

Derivation and License

OpenSSL is based on the excellent SSLeay library developed by Eric A.
Young and Tim J. Hudson. The OpenSSL toolkit is licensed under an
Apache-style licence which basically means that you are free to get it
and to use it for commercial and non-commercial purposes.



Authors:
--------
    Mark J. Cox <mark@openssl.org>
    Ralf S. Engelschall <rse@openssl.org>
    Dr. Stephen Henson <steve@openssl.org>
    Ben Laurie <ben@openssl.org>
    Bodo Moeller <bodo@openssl.org>
    Ulf Moeller <ulf@openssl.org>
    Holger Reif <holger@openssl.org>
    Paul C. Sutton <paul@openssl.org>

%package devel
Summary:      The OpenSSL source tree
Group:        Development/Libraries/C and C++
Obsoletes:    openssls
Requires:     openssl = %{version}

%description devel
This package contains the OpenSSL header files and static libraries.



Authors:
--------
    Mark J. Cox <mark@openssl.org>
    Ralf S. Engelschall <rse@openssl.org>
    Dr. Stephen <Henson steve@openssl.org>
    Ben Laurie <ben@openssl.org>
    Bodo Moeller <bodo@openssl.org>
    Ulf Moeller <ulf@openssl.org>
    Holger Reif <holger@openssl.org>
    Paul C. Sutton <paul@openssl.org>

%package doc
Summary:      documentation and examples for OpenSSL
Group:        Productivity/Networking/Security

%description doc
This package contains the documentation and examples for OpenSSL.



Authors:
--------
    Mark J. Cox <mark@openssl.org>
    Ralf S. Engelschall <rse@openssl.org>
    Dr. Stephen <Henson steve@openssl.org>
    Ben Laurie <ben@openssl.org>
    Bodo Moeller <bodo@openssl.org>
    Ulf Moeller <ulf@openssl.org>
    Holger Reif <holger@openssl.org>
    Paul C. Sutton <paul@openssl.org>

%prep
%setup -q 
%patch -p1
%patch1 -p1
%patch7 -p1
%patch8
%patch9 -p1
%patch10 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch103 -p0
cp -p %{S:10} .
cp -p %{S:21} certs/
echo "adding/overwriting some entries in the 'table' hash in Configure"
# $dso_scheme:$shared_target:$shared_cflag:$shared_ldflag:$shared_extension:$ranlib
export DSO_SCHEME='dlfcn:linux-shared:-fPIC::.so.\$(SHLIB_MAJOR).\$(SHLIB_MINOR)'
cat <<EOF_ED | ed -s Configure 
/^);
-
i
# local configuration added from specfile
#config-string,  $cc:$cflags:$unistd:$thread_cflag:$sys_id:$lflags:$bn_ops:$bn_obj:$des_obj:$bf_obj:$md5_obj:$sha1_obj:$cast_obj:$rc4_obj:$rmd160_obj:$rc5_obj:$DSO_SCHEME
#"linux-elf",    "gcc:-DL_ENDIAN -DTERMIO -O3 -fomit-frame-pointer -m486 -Wall::-D_REENTRANT::-ldl:BN_LLONG ${x86_gcc_des} ${x86_gcc_opts}:${x86_elf_asm}:dlfcn:linux-shared:-fPIC::.so.\$(SHLIB_MAJOR).\$(SHLIB_MINOR)",
"linux-elf",    "gcc:-DL_ENDIAN			::-D_REENTRANT::-ldl:BN_LLONG \${x86_gcc_des} \${x86_gcc_opts}:\${x86_elf_asm}:			$DSO_SCHEME",
"linux-ia64",   "gcc:-DL_ENDIAN			::-D_REENTRANT::-ldl:SIXTY_FOUR_BIT_LONG RC4_CHUNK RC4_CHAR:asm/ia64.o:::::::::			$DSO_SCHEME",
"linux-ppc",    "gcc:-DB_ENDIAN			::-D_REENTRANT::-ldl:BN_LLONG RC4_CHAR RC4_CHUNK DES_RISC1 DES_UNROLL::::::::::			$DSO_SCHEME",
"linux-ppc64",  "gcc:-DB_ENDIAN -DMD32_REG_T=int::-D_REENTRANT::-ldl:RC4_CHAR RC4_CHUNK DES_RISC1 DES_UNROLL SIXTY_FOUR_BIT_LONG::::::::::	$DSO_SCHEME",
"linux-elf-arm","gcc:-DL_ENDIAN			::-D_REENTRANT::-ldl:BN_LLONG::::::::::								$DSO_SCHEME",
"linux-mips",   "gcc:-DB_ENDIAN			::-D_REENTRANT::-ldl:BN_LLONG RC4_CHAR RC4_CHUNK DES_RISC1 DES_UNROLL::::::::::			$DSO_SCHEME",
"linux-sparcv7","gcc:-DB_ENDIAN			::-D_REENTRANT::-ldl:BN_LLONG RC4_CHAR RC4_CHUNK DES_UNROLL BF_PTR::::::::::			$DSO_SCHEME",
"linux-sparcv8","gcc:-DB_ENDIAN -DBN_DIV2W -mv8	::-D_REENTRANT::-ldl:BN_LLONG RC4_CHAR RC4_CHUNK DES_UNROLL BF_PTR:asm/sparcv8.o:::::::::	$DSO_SCHEME",
"linux-x86_64", "gcc:-DL_ENDIAN -DNO_ASM	::-D_REENTRANT::-ldl:SIXTY_FOUR_BIT_LONG::::::::::						$DSO_SCHEME",
"linux-s390",   "gcc:-DB_ENDIAN			::(unknown):   :-ldl:BN_LLONG::::::::::								$DSO_SCHEME",
"linux-s390x",  "gcc:-DB_ENDIAN -DNO_ASM -DMD32_REG_T=int::-D_REENTRANT::-ldl:SIXTY_FOUR_BIT_LONG::::::::::						$DSO_SCHEME",
"linux-parisc",	"gcc:-DB_ENDIAN 		::-D_REENTRANT::-ldl:BN_LLONG RC4_CHAR DES_PTR DES_UNROLL DES_RISC1::::::::::			$DSO_SCHEME",
.
wq
EOF_ED

%build
# change /usr/lib to /usr/lib64 if necessary
sed -e 	"s+\(\$(INSTALL_PREFIX)\$(INSTALLTOP)\)/lib+\1/%_lib+g" \
    -e	"s+libdir=\$\${exec_prefix}/lib+libdir=\$\${exec_prefix}/%_lib+g" \
	Makefile.org > Makefile.new \
	&& diff -u Makefile.org Makefile.new \
	|| mv Makefile.new Makefile.org
./config --test-sanity 
#
config_flags="threads shared no-rc5 no-idea \
--prefix=%{_prefix} \
--openssldir=%{ssletcdir} \
$RPM_OPT_FLAGS \
-fomit-frame-pointer \
-fno-strict-aliasing \
-DTERMIO \
-Wall"
#
%{!?do_profiling:%define do_profiling 0}
%if %do_profiling
	# generate feedback
	./config $config_flags %cflags_profile_generate
	make depend
	make
	LD_LIBRARY_PATH=`pwd` make rehash
	LD_LIBRARY_PATH=`pwd` make test
	LD_LIBRARY_PATH=`pwd` apps/openssl speed
	make clean
	# compile with feedback
	# but not if it makes a cipher slower:
	find crypto/aes -name '*.da' | xargs -r rm
	./config $config_flags %cflags_profile_feedback
	make depend
	make
	LD_LIBRARY_PATH=`pwd` make rehash
	LD_LIBRARY_PATH=`pwd` make test
%else
	./config $config_flags
	make depend
	make
	LD_LIBRARY_PATH=`pwd` make rehash
	%ifnarch armv4l
	LD_LIBRARY_PATH=`pwd` make test
	%endif
%endif
# show settings
make TABLE
echo $RPM_OPT_FLAGS
eval $(egrep PLATFORM='[[:alnum:]]' Makefile)
grep -B1 -A22 "^\*\*\* $PLATFORM$" TABLE 

%install
rm -rf $RPM_BUILD_ROOT
make MANDIR=%{_mandir} INSTALL_PREFIX=$RPM_BUILD_ROOT install
# install standard root certificates
cp -pr certs/* $RPM_BUILD_ROOT/%{ssletcdir}/certs
ln -sf ./%{name} $RPM_BUILD_ROOT/%{_includedir}/ssl
mkdir $RPM_BUILD_ROOT/%{_datadir}/ssl
mv $RPM_BUILD_ROOT/%{ssletcdir}/misc $RPM_BUILD_ROOT/%{_datadir}/ssl/
# ln -s %{ssletcdir}/certs 	$RPM_BUILD_ROOT/%{_datadir}/ssl/certs
# ln -s %{ssletcdir}/private 	$RPM_BUILD_ROOT/%{_datadir}/ssl/private
# ln -s %{ssletcdir}/openssl.cnf 	$RPM_BUILD_ROOT/%{_datadir}/ssl/openssl.cnf
#
# avoid file conflicts with man pages from other packages
#
pushd $RPM_BUILD_ROOT/%{_mandir}
which readlink &>/dev/null || function readlink { ( set +x; target=$(file $1 2>/dev/null); target=${target//* }; test -f $target && echo $target; ) }
for i in man?/*; do 
	if test -L $i ; then
	    LDEST=`readlink $i`
	    rm -f $i ${i}ssl
	    ln -sf ${LDEST}ssl ${i}ssl
	else
	    mv $i ${i}ssl
        fi
	case `basename ${i%.*}` in 
	    asn1parse|ca|config|crl|crl2pkcs7|crypto|dgst|dhparam|dsa|dsaparam|enc|gendsa|genrsa|nseq|openssl|passwd|pkcs12|pkcs7|pkcs8|rand|req|rsa|rsautl|s_client|s_server|smime|spkac|ssl|verify|version|x509)
		# these are the pages mentioned in openssl(1). They go into the main package.
		echo %doc %{_mandir}/${i}ssl.gz >> $OLDPWD/filelist;;
	    *)	
		# the rest goes into the openssl-doc package.
		echo %doc %{_mandir}/${i}ssl.gz >> $OLDPWD/filelist.doc;;
	esac
done
popd
#
# check wether some shared library has been installed
#
ls -l $RPM_BUILD_ROOT/%{_libdir}
test -f $RPM_BUILD_ROOT/%{_libdir}/libssl.so.%{num_version} || exit 1
test -L $RPM_BUILD_ROOT/%{_libdir}/libssl.so.0              || exit 2
test -L $RPM_BUILD_ROOT/%{_libdir}/libssl.so                || exit 3
#
# see what we've got
#
cat > showciphers.c <<EOF
#include <openssl/err.h>
#include <openssl/ssl.h>
main(){
unsigned int i;
SSL_CTX *ctx;
SSL *ssl;
SSL_METHOD *meth;
  meth = SSLv2_client_method();
  SSLeay_add_ssl_algorithms();
  ctx = SSL_CTX_new(meth);
  if (ctx == NULL) return 0;
  ssl = SSL_new(ctx);
  if (!ssl) return 0;
  for (i=0; ; i++) {
    int j, k;
    SSL_CIPHER *sc;
    sc = (meth->get_cipher)(i);
    if (!sc) break;
    k = SSL_CIPHER_get_bits(sc, &j);
    printf("%s\n", sc->name);
  }
};
EOF
gcc $RPM_OPT_FLAGS -I${RPM_BUILD_ROOT}%{_includedir} -c showciphers.c
gcc -o showciphers showciphers.o -L${RPM_BUILD_ROOT}%{_libdir} -lssl -lcrypto
LD_LIBRARY_PATH=${RPM_BUILD_ROOT}%{_libdir} ./showciphers > AVAILABLE_CIPHERS || true
cat AVAILABLE_CIPHERS

%clean
if ! test -f /.buildenv; then rm -rf $RPM_BUILD_ROOT; fi

%post
mkdir -p var/adm/notify/messages
cat << EOF > var/adm/notify/messages/openssl-notify
Hallo,  (english text below)
 
die Konfigurationsdatei openssl.cnf, sowie die Verzeichnisse
/usr/share/ssl/certs und /usr/share/ssl/private liegen seit 8.1/SLES8 im
Verzeichnis /etc/ssl.
 
Hello,
 
the configuration file openssl.cnf as well as the directories 
/usr/share/ssl/certs and /usr/share/ssl/private are located in /etc/ssl/ since
8.1/SLES8. 
 
Have a lot of fun...
                        Your SuSE Team
EOF

%files devel
%defattr(-, root, root)
%{_includedir}/%{name}/
%{_includedir}/ssl
%{_libdir}/libcrypto.a
%{_libdir}/libssl.a
%{_libdir}/libcrypto.so
%{_libdir}/libssl.so
%_libdir/pkgconfig/openssl.pc

%files doc -f filelist.doc
%defattr(-, root, root)
%doc doc/* demos
%doc showciphers showciphers.c 

%files -f filelist
%defattr(-, root, root)
%doc CHANGE* INSTAL* AVAILABLE_CIPHERS
%doc LICENSE NEWS README README.SuSE openssl.doxy
%dir %{ssletcdir}
%config (noreplace) %{ssletcdir}/openssl.cnf
%{ssletcdir}/certs
%attr(700,root,root) %{ssletcdir}/private
%dir %{_datadir}/ssl
%{_datadir}/ssl/misc
%{_bindir}/c_rehash
%{_bindir}/%{name}
%{_libdir}/libssl.so.0
%{_libdir}/libssl.so.%{num_version}
%{_libdir}/libcrypto.so.0
%{_libdir}/libcrypto.so.%{num_version}
# # compatibility links
# %config %{_datadir}/ssl/openssl.cnf
# %config %{_datadir}/ssl/certs
# %config %{_datadir}/ssl/private

%changelog -n openssl
* Thu Oct 13 2005 - poeml@suse.de
- add Geotrusts Equifax Root1 CA certificate, which needed to
  verify the authenticity of you.novell.com [#121966]
* Tue Oct 11 2005 - poeml@suse.de
- security fix: fix SSLv2 rollback (CAN-2005-2969) [#120103]
* Tue Mar 02 2004 - poeml@suse.de
- add security fix for CAN-2004-0079 (possible null-pointer
  assignment during SSL/TLS handshake)
- add security fix for CAN-2004-0112 (possible crash in SSL/TLS
  handshaking code when using Kerberos ciphersuites)
* Tue Sep 30 2003 - poeml@suse.de
- security fix (CAN-2003-0543, CAN-2003-0544, CAN-2003-0545): fix
  vulnerabilities in ASN.1 parsing, and an error in the SSL/TLS
  protocol handling
* Wed Aug 13 2003 - poeml@suse.de
- enable profile feedback based optimizations (except AES which
  becomes slower)
- add -fno-strict-aliasing, due to warnings about code where
  dereferencing type-punned pointers will break strict aliasing
- make a readlink function if readlink is not available
* Mon Aug 04 2003 - ro@suse.de
- fixed manpages symlinks
* Wed Jul 30 2003 - meissner@suse.de
- Fix Makefile to create pkgconfig file with lib64 on lib64 systems.
* Sun Jul 27 2003 - poeml@suse.de
- don't explicitely strip binaries since RPM handles it, and may
  keep the stripped information somewhere
* Tue Jul 15 2003 - meissner@suse.de
- -DMD32_REG_T=int for ppc64 and s390x.
* Thu Jul 10 2003 - poeml@suse.de
- update ibm ICA patch to 20030708 release (libica-1.3)
* Mon May 12 2003 - poeml@suse.de
- package the openssl.pc file for pkgconfig
* Wed Apr 16 2003 - poeml@suse.de
- update to 0.9.7b. The most significant changes are:
  o New library section OCSP.
  o Complete rewrite of ASN1 code.
  o CRL checking in verify code and openssl utility.
  o Extension copying in 'ca' utility.
  o Flexible display options in 'ca' utility.
  o Provisional support for international characters with UTF8.
  o Support for external crypto devices ('engine') is no longer
  a separate distribution.
  o New elliptic curve library section.
  o New AES (Rijndael) library section.
  o Support for new platforms: Windows CE, Tandem OSS, A/UX, AIX 64-bit,
  Linux x86_64, Linux 64-bit on Sparc v9
  o Extended support for some platforms: VxWorks
  o Enhanced support for shared libraries.
  o Now only builds PIC code when shared library support is requested.
  o Support for pkg-config.
  o Lots of new manuals.
  o Makes symbolic links to or copies of manuals to cover all described
  functions.
  o Change DES API to clean up the namespace (some applications link also
  against libdes providing similar functions having the same name).
  Provide macros for backward compatibility (will be removed in the
  future).
  o Unify handling of cryptographic algorithms (software and engine)
  to be available via EVP routines for asymmetric and symmetric ciphers.
  o NCONF: new configuration handling routines.
  o Change API to use more 'const' modifiers to improve error checking
  and help optimizers.
  o Finally remove references to RSAref.
  o Reworked parts of the BIGNUM code.
  o Support for new engines: Broadcom ubsec, Accelerated Encryption
  Processing, IBM 4758.
  o A few new engines added in the demos area.
  o Extended and corrected OID (object identifier) table.
  o PRNG: query at more locations for a random device, automatic query for
  EGD style random sources at several locations.
  o SSL/TLS: allow optional cipher choice according to server's preference.
  o SSL/TLS: allow server to explicitly set new session ids.
  o SSL/TLS: support Kerberos cipher suites (RFC2712).
  Only supports MIT Kerberos for now.
  o SSL/TLS: allow more precise control of renegotiations and sessions.
  o SSL/TLS: add callback to retrieve SSL/TLS messages.
  o SSL/TLS: support AES cipher suites (RFC3268).
- adapt the ibmca patch
- remove openssl-nocrypt.diff, openssl's crypt() vanished
- configuration syntax has changed ($sys_id added before $lflags)
* Thu Feb 20 2003 - poeml@suse.de
- update to bugfix release 0.9.6i:
- security fix: In ssl3_get_record (ssl/s3_pkt.c), minimize
  information leaked via timing by performing a MAC computation
  even if incorrrect block cipher padding has been found.  This
  is a countermeasure against active attacks where the attacker
  has to distinguish between bad padding and a MAC verification
  error.  (CAN-2003-0078)
- a few more small bugfixes (mainly missing assertions)
* Fri Dec 06 2002 - poeml@suse.de
- update to 0.9.6h (last release in the 0.9.6 series)
  o New configuration targets for Tandem OSS and A/UX.
  o New OIDs for Microsoft attributes.
  o Better handling of SSL session caching.
  o Better comparison of distinguished names.
  o Better handling of shared libraries in a mixed GNU/non-GNU environment.
  o Support assembler code with Borland C.
  o Fixes for length problems.
  o Fixes for uninitialised variables.
  o Fixes for memory leaks, some unusual crashes and some race conditions.
  o Fixes for smaller building problems.
  o Updates of manuals, FAQ and other instructive documents.
- add a call to make depend
- fix sed expression (lib -> lib64) to replace multiple occurences
  on one line
* Mon Nov 04 2002 - stepan@suse.de
- fix openssl for alpha ev56 cpus
* Thu Oct 24 2002 - poeml@suse.de
- own the /usr/share/ssl directory [#20849]
- openssl-hppa-config.diff can be applied on all architectures
* Mon Sep 30 2002 - bg@suse.de
- enable hppa distribution; use only pa1.1 architecture.
* Tue Sep 17 2002 - froh@suse.de
- update ibm-hardware-crypto-patch to ibmca.patch-0.96e-2 (#18953)
* Mon Aug 12 2002 - poeml@suse.de
- update to 0.9.6g and drop the now included ASN1 check patch.
  Other change:
- Use proper error handling instead of 'assertions' in buffer
  overflow checks added in 0.9.6e.  This prevents DoS (the
  assertions could call abort()).
* Fri Aug 09 2002 - kukuk@suse.de
- Fix requires of openssl-devel subpackage
* Tue Aug 06 2002 - draht@suse.de
- Correction for changes in the ASN1 code, assembled in
  openssl-0.9.6e-cvs-20020802-asn1_lib.diff
* Thu Aug 01 2002 - poeml@suse.de
- update to 0.9.6e. Major changes:
  o Various security fixes (sanity checks to asn1_get_length(),
  various remote buffer overflows)
  o new option SSL_OP_DONT_INSERT_EMPTY_FRAGMENTS, disabling the
  countermeasure against a vulnerability in the CBC ciphersuites
  in SSL 3.0/TLS 1.0 that was added in 0.9.6d which turned out to
  be incompatible with buggy SSL implementations
- update ibmca crypto hardware patch (security issues fixed)
- gcc 3.1 version detection is fixed, we can drop the patch
- move the most used man pages from the -doc to the main package
  [#9913] and resolve man page conflicts by putting them into ssl
  sections [#17239]
- spec file: use PreReq for %%post script
* Fri Jul 12 2002 - poeml@suse.de
- update to 0.9.6d. Major changes:
  o Various SSL/TLS library bugfixes.
  o Fix DH parameter generation for 'non-standard' generators.
  Complete Changelog: http://www.openssl.org/news/changelog.html
- supposed to fix a session caching failure occuring with postfix
- simplify local configuration for the architectures
- there's a new config variable: $shared_ldflag
- use RPM_OPT_FLAGS in favor of predifined cflags by appending them
  at the end
- validate config data (config --check-sanity)
- resolve file conflict of /usr/share/man/man1/openssl.1.gz [#15982]
- move configuration to /etc/ssl [#14387]
- mark openssl.cnf %%config (noreplace)
* Sat Jul 06 2002 - schwab@suse.de
- Include <crypt.h> to get crypt prototype.
* Fri Jul 05 2002 - kukuk@suse.de
- Remove crypt prototype from des.h header file, too.
* Mon Jun 10 2002 - meissner@suse.de
- enhanced ppc64 support (needs seperate config), reenabled make check
* Fri May 31 2002 - olh@suse.de
- add ppc64 support, temporary disable make check
* Thu Apr 18 2002 - meissner@suse.de
- fixed x86_64 build, added bc to needed_for_build (used by tests)
* Wed Apr 17 2002 - ro@suse.de
- fixed gcc version determination
- drop sun4c support/always use sparcv8
- ignore return code from showciphers
* Fri Mar 15 2002 - poeml@suse.de
- add settings for sparc to build shared objects. Note that all
  sparcs (sun4[mdu]) are recognized as linux-sparcv7
* Wed Feb 06 2002 - kukuk@suse.de
- Remove crypt function from libcrypto.so.0 [Bug #13056]
* Sun Feb 03 2002 - poeml@suse.de
- add settings for mips to build shared objects
- print out all settings to the build log
* Tue Jan 29 2002 - poeml@suse.de
- update to 0.9.6c:
  o bug fixes
  o support for hardware crypto devices (Cryptographic Appliances,
  Broadcom, and Accelerated Encryption Processing)
- add IBMCA patch for IBM eServer Cryptographic Accelerator Device
  Driver (#12565) (forward ported from 0.9.6b)
  (http://www-124.ibm.com/developerworks/projects/libica/)
- tell Configure how to build shared libs for s390 and s390x
- tweak Makefile.org to use %%_libdir
- clean up spec file
- add README.SuSE as source file instead of in a patch
* Wed Dec 05 2001 - uli@suse.de
- disabled "make test" for ARM (destest segfaults, the other tests
  seem to succeed)
* Wed Dec 05 2001 - ro@suse.de
- removed subpackage src
* Wed Nov 28 2001 - uli@suse.de
- needs -ldl on ARM, too
* Mon Nov 19 2001 - mls@suse.de
- made mips big endian, fixed shared library creation for mips
* Fri Aug 31 2001 - rolf@suse.de
- added root certificates [BUG#9913]
- move from /usr/ssh to /usr/share/ssl
* Wed Jul 18 2001 - rolf@suse.de
- update to 0.9.6b
- switch to engine version of openssl, which supports hardware
  encryption for a few popular devices
- check wether shared libraries have been generated
* Thu Jul 05 2001 - rolf@suse.de
- appliy PRNG security patch
* Tue Jun 12 2001 - bk@suse.de
- added support for s390x
* Mon May 07 2001 - kukuk@suse.de
- Fix building of shared libraries on SPARC, too.
* Mon May 07 2001 - rolf@suse.de
- Fix ppc and s390 shared library builds
- resolved conflict in manpage naming:
  rand.3 is now sslrand.3 [BUG#7643]
* Tue May 01 2001 - schwab@suse.de
- Fix ia64 configuration.
- Fix link command.
* Thu Apr 26 2001 - bjacke@suse.de
- updated to 0.96a
* Wed Apr 18 2001 - kkaempf@suse.de
- provide .so files in -devel package only
* Tue Apr 17 2001 - bjacke@suse.de
- resolve file name conflict (#6966)
* Wed Mar 21 2001 - rolf@suse.de
- new subpackage openssl-src [BUG#6383]
- added README.SuSE which explains where to find the man pages [BUG#6717]
* Fri Dec 15 2000 - sf@suse.de
- changed CFLAG to -O1 to make the tests run successfully
* Mon Dec 11 2000 - rolf@suse.de
- build openssl with no-idea and no-rc5 to meet US & RSA regulations
- build with -fPIC on all platforms (especially IA64)
* Wed Nov 22 2000 - rolf@suse.de
- rename openssls to openssl-devel and add shared libs and header files
- new subpackge openssl-doc for manpages and documentation
- use BuildRoot
* Fri Oct 27 2000 - schwab@suse.de
- Add link-time links for libcrypto and libssl.
- Make sure that LD_LIBRARY_PATH is passed down to sub-makes.
* Mon Oct 02 2000 - rolf@suse.de
- update to 0.9.6
* Mon Apr 10 2000 - bk@suse.de
- fix support for s390-linux
* Mon Apr 10 2000 - rolf@suse.de
- new version 0.9.5a
* Sun Apr 09 2000 - bk@suse.de
- add support for s390-linux
* Mon Mar 27 2000 - kukuk@suse.de
- Use sparcv7 for SPARC
* Wed Mar 01 2000 - rolf@suse.de
- move manpages back, as too many conflict with system manuals
* Wed Mar 01 2000 - rolf@suse.de
- move manpages to %%{_mandir}
- include static libraries
* Wed Mar 01 2000 - bk@suse.de
- added subpackage source openssls, needed for ppp_ssl
* Tue Feb 29 2000 - rolf@suse.de
- new version 0.9.5
* Thu Feb 24 2000 - schwab@suse.de
- add support for ia64-linux
* Mon Jan 31 2000 - kukuk@suse.de
- Create and add libcrypto.so.0 and libssl.so.0
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Sep 01 1999 - rolf@suse.de
- new version 0.9.4
* Wed May 26 1999 - rolf@suse.de
- new version 0.9.3 with new layout
- alpha asm disabled by default now, no patch needed
* Thu May 20 1999 - ro@suse.de
- disable asm for alpha: seems incomplete
* Mon May 17 1999 - rolf@suse.de
- don't use -DNO_IDEA
* Wed May 12 1999 - rolf@suse.de
- first version 0.9.2b
